# $Revision: 1.43 $, $Date: 2004/07/27 21:06:14 $
# NOTE:		Please keep in sync with aumix.
%bcond_with	gtk1		# build with gtk1 instead of gtk2

Summary:	curses and X11/Gtk based audio mixer
Summary(de):	Audio-Mixer auf curses- und X11/Gtk-Basis
Summary(es):	Mezclador de audio basado en curses y X11/gtk+
Summary(pl):	Mikser audio bazujcy na curses i Gtk+
Summary(ru):	     curses  gtk+
Summary(uk):	Ħ ͦ,   ¦æ curses  gtk+
Name:		aumix-gtk
Version:	2.8
Release:	2
License:	GPL
Group:		Applications/Sound
Source0:	http://www.jpj.net/~trevor/aumix/aumix-%{version}.tar.bz2
# Source0-md5:	dc3fc7209752207c23e7c94ab886b340
Source3:	%{name}.desktop
Source4:	aumix.png
Patch0:		aumix-home_etc.patch
Patch1:		aumix-xaumix.patch
Patch2:		aumix-ac250.patch
URL:		http://www.jpj.net/~trevor/aumix.html
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	gpm-devel
%if %{with gtk1}
BuildRequires:	gtk+-devel >= 1.2.0
%else
BuildRequires:	gtk+2-devel
%endif
BuildRequires:	ncurses-devel >= 5.0
Provides:	aumix
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	aumix

%description
This program provides a tty- and X11/Gtk-based, interactive method of
controlling a sound card's mixer. It lets you adjust the input levels
from the CD, microphone, and onboard synthesizers as well as the
output volume.

%description -l de
Dieses Programm bietet eine interaktive Methode auf tty- und
X11/Gtk-Basis zur Steuerung eines Soundkarten-Mixers. Sie knnen damit
die Eingangspegel der CD, des Mikrophons und von Synthesizer-Karten
sowie auch die Ausgabelautstrke regeln.

%description -l es
Este programa nos ofrece un mtodo interactivo basado en tty y
X11/gtk+de control de mezclas de tarjetas de sonido. Deja que se
ajuste los niveles de entrada del CD, micrfono, y sintetizadores, as
como el volumen de salida.

%description -l pl
Ten program przynosi bazujc na tty oraz X11/Gtk, interaktywn metod
kontrolowania miksera karty dwikowej. aumix pozwala zmienia poziom
sygnau nadchodzcego z CD, mikrofonu i syntetyzerw tak samo jak
poziom sygnau wyjciowego.

%description -l ru
  -   X11/gtk+,   
  .      
  CD, ,    ,  
 .

%description -l uk
  -   X11/gtk+,   Ҧ
ͦ ϧ .  Ѥ ͦ  ȦΦ ҦΦ
̦  CD, ͦ, Ҧ  צ Ԧ,  
Ȧ Ҧ.

%prep
%setup -q -n aumix-%{version}
#%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
#rm -f missing acinclude.m4
rm -f missing
#%%{__gettextize}
%{__aclocal}
%{__autoconf}
%{__automake}

CPPFLAGS="-I/usr/include/ncurses"
%configure \
%if %{with gtk1}
	--without-gtk
%else
	--without-gtk1
%endif

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}} \
	$RPM_BUILD_ROOT{%{_sysconfdir},%{_bindir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE3} $RPM_BUILD_ROOT%{_desktopdir}/aumix.desktop
install %{SOURCE4} $RPM_BUILD_ROOT%{_pixmapsdir}
rm -f $RPM_BUILD_ROOT%{_datadir}/aumix/aumix.xpm

:> $RPM_BUILD_ROOT%{_sysconfdir}/aumixrc

%find_lang aumix

%clean
rm -rf $RPM_BUILD_ROOT

%files -f aumix.lang
%defattr(644,root,root,755)
%doc AUTHORS BUGS ChangeLog NEWS README TODO
%config(noreplace,missingok) %verify(not size mtime md5) %{_sysconfdir}/aumixrc

%attr(755,root,root) %{_bindir}/aumix
%{_mandir}/man1/*
%{_datadir}/aumix

%{_pixmapsdir}/*.png
%{_desktopdir}/aumix.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: aumix-gtk.spec,v $
Revision 1.43  2004/07/27 21:06:14  havner
- rel 2 for rebuild (forgot about uncommenting patch :-( )

Revision 1.42  2004/07/26 21:24:38  havner
- fixed home_etc patch
- rel 1

Revision 1.41  2004/07/12 18:28:13  havner
- bcond with gtk1
- home-etc patch not done (yet)
- rel 0.1
- works

Revision 1.40  2004/07/12 17:34:17  havner
- work in progress

Revision 1.39  2004/07/11 23:13:00  havner
- 2.8 version, support gtk2!
- NFY, patches needs to bo converted, I'll do it tommorow

Revision 1.38  2004/07/03 21:56:34  havner
- rel up

Revision 1.37  2003/12/05 14:45:30  gotar
- _applnkdir -> _desktopdir

Revision 1.36  2003/12/01 02:13:59  undefine
- release 15

Revision 1.35  2003/12/01 02:13:12  undefine
- remove conflicts (there is obsolete already)

Revision 1.34  2003/08/06 21:42:26  gotar
- reverted last two changes

Revision 1.31  2003/08/01 07:46:19  gotar
- sync aumix-gtk with aumix;
- aumix-gtk:
 - typo,
 - added en, ru and uk summaries and descriptions,
 - new desktop file with Terminal=0,
 - added png icon in place of xpm one,
- aumix:
 - %{_sysconfdir} mustn't be /etc, install it,
 - removed xpm icon,
- touch replaced with :>
- release 13.

Revision 1.30  2003/07/31 19:15:32  krzak
- without gettextize
- rev 6

Revision 1.29  2003/07/07 04:23:50  blues
- many small fixes, inspired by kloczek

Revision 1.28  2003/05/25 11:00:50  malekith
- massive attack, adding Source-md5

Revision 1.27  2003/05/25 05:45:48  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.26  2003/01/18 22:45:26  juandon
- removed two lines with define

Revision 1.25  2002/10/09 13:14:17  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.24  2002/08/17 09:05:15  migo
- fixed man pages location
- release 5, STBR

Revision 1.23  2002/07/21 09:57:41  kloczek
- use new %doc.

Revision 1.22  2002/06/23 20:52:48  kloczek
perl -pi -e "s/^gettextize --copy --force/\%%\{__gettextize\}/"

Revision 1.21  2002/06/10 19:20:47  mkochano
- aumix-gtk: Release 4.
- aumix: Release 10.
- They Confilcts: with each other. This is because they provide binary
  with same name (aumix) but with different functionality and in
  different location.

Revision 1.20  2002/05/21 23:12:42  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.19  2002/04/25 15:49:50  arturs
fixed a small typo

Revision 1.18  2002/03/24 23:28:13  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.17  2002/02/22 23:28:42  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.16  2002/01/18 02:12:26  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.15  2001/12/23 13:39:51  qboosh
- release 3: sync with aumix.spec (mainly ac250 patch)

Revision 1.14  2001/08/11 12:57:10  blues
- cosmetics
NOTE: another ac-broken spec...

Revision 1.13  2001/03/28 01:41:35  qboosh
- use rpm features (gzipping, %%debug, %%config), automake-related changes
- release 2

Revision 1.12  2001/02/02 17:50:33  kloczek
- perl -pi -e "s/^\%\{_datadir\}\/pixmaps/\%\{_pixmapsdir\}/"

Revision 1.11  2000/07/13 23:42:44  kloczek
- updated to 2.7.

Revision 1.10  2000/07/13 23:05:01  baggins
- release 3
- rebuild with ncurses 5.1

Revision 1.9  2000/07/13 20:36:09  baggins
- release 2

Revision 1.8  2000/07/06 06:03:05  kloczek
- added xaumix patch,
- fix ughly typo in %install.

Revision 1.7  2000/06/27 23:02:22  kloczek
- updated home_etc patch,
- fixed %%find_lanf parameters,
- added automake to BuildRequires.

Revision 1.6  2000/06/27 21:04:39  kloczek
- updated to 2.6.1.

Revision 1.5  2000/06/09 07:54:39  kloczek
- more %%{__make} macros.

Revision 1.4  2000/06/09 07:22:47  kloczek
- added using %%{__make} macro.

Revision 1.3  2000/05/17 23:02:35  kloczek
- spec adapterized.

Revision 1.2  2000/05/01 21:02:34  mkochano
- Removed 'BuildRequires: (XFree86|glib)-devel' from packages which have
  'BuildRequires: gtk+-devel'. They were redundant, beacuse 'gtk+-devel' says
  what it needs using 'Requires'. BTW, awk rules :)

Revision 1.1  2000/04/15 14:12:56  mkochano
- Separated version requiring Gtk. This version can be run from terminal (it
  has ncurses support).
